module.exports = class PhandalinVillager1 {
	constructor() {
		this.id = 1;
		this.name = "a villager";
		this.description = "She is a human woman wearing a brightly colored coverall with her hair up in a frizzy bun. She is returning from a delivery and looks pretty pleased with herself.";
		this.type = "mobile";
		this.roomId = 1;
		this.idleDelay = 30000;
		this.filename = "phandalin/villager1.js";
		this.lastIdle = 0;
		this.keywords = ["villager", "lady", "miss", "woman", "human"];
		this.items = [];
		this.commandQueue = [];
		this.memory = {};
	}

	mud_init(mobileName) {
		world.mud_addMobileToRoom("PhandalinRoad1", this.id);
		world.mud_addMobileToRoom("PhandalinRoad4", builder.mud_spawnMobile(mobileName).id);
		world.mud_addMobileToRoom("PhandalinRoad6", builder.mud_spawnMobile(mobileName).id);
	}

	mud_sendMessage(source, message) {
		message = message.replace(/\{.*?\}/g, "");
		var cleanMessage = message.trim();
		if(source == this) {
			return;
		}

		if(cleanMessage.indexOf("shout") != -1) {
			return;
		}

		if(libs.Conversation.basicDecency(source, cleanMessage, this)) {
			return;
		}

		/*if(libs.Conversation.followsOrders(source, cleanMessage, this)) {
			return;
		}*/

	}

	mud_addMemory(section, newMemory) {
		if(!this.memory.hasOwnProperty(section)) {
			this.memory[section] = [];
		}
		if(!this.mud_checkMemory(section, newMemory)) {
			this.memory[section].push(newMemory);	
		}
	}

	mud_checkMemory(section, memoryToCheck) {
		if(this.memory.hasOwnProperty(section)) {
			if(this.memory[section].indexOf(memoryToCheck) != -1) {
				return true;
			}
		}
		return false;
	}

	mud_addCommand(source, message) {
		this.commandQueue.push(message);
	}

	mud_tick(time) {
		if(time >= this.lastIdle) {
			var idleMessages = ["emote wipes some sweat from her brow.",
			"emote whistles happily as she walks.",
			"emote brushes a strand of hair from her face and frowns.",
			"emote stops for a minute and retightens her hair bun."
			];

			idleMessages = idleMessages.concat(libs.Conversation.getRoomExits(this));

			var randomIdle = idleMessages[parseInt(Math.random() * idleMessages.length)];
			this.mud_addCommand(this, randomIdle);
			this.lastIdle = time + this.idleDelay;
		}

		if(this.commandQueue.length > 0 ) {
			world.mud_handleInput(this.roomId, this.id, this.commandQueue.shift().split(" "));
			this.lastIdle = time + this.idleDelay;
		}

	}

	mud_getName() {
		return "{mobile}" + this.name + "{/mobile}";
	}

	mud_getDescription() {
		return this.description;
	}

	mud_wearInSlot(itemId, slot) {
		if(this.itemSlots.hasOwnProperty(slot) && this.itemSlots[slot] != null) {
			return this.itemSlots[slot];
		}
		this.itemSlots[slot] = itemId;
	}

	mud_removeSlot(slot) {
		if(!this.itemSlots.hasOwnProperty(slot) || this.itemSlots[slot] == null) {
			return false;
		}
		this.itemSlots[slot] = null;
	}

	mud_addCurrency(amount) {
		this.account += amount;
	}

	mud_removeCurrency(amount) {
		this.account -= amount;
		this.account = Math.max(0, this.account);
	}
};
