module.exports = class CoalMineEntrance {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Coal Mine Entrance";
		this.description = "A large gaping maw of stone looms to the south. The sounds of miners echo from within.";
		this.filename = "coalmine/entrance.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExits = [];
		this.roomExpires = 0;
		this.resetDelay = 300000;
		this.roomExits = ["north", "enter"];
		this.isMiningPoint = true;
		this.mineItems = ["Coal", "Stone"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "A cool breeze emanates from the dark mine entrance.");
		var itemsToMine = [
			{value:"Coal", probability: 60},
			{value:"Stone", probability: 30},
			{value:"RoughDiamond", probability: 10}
			];

		var classname = world.mud_rollRandom(itemsToMine);
		this.mineItems.push(classname);
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	enter(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "CoalMineTunnel1", "enters the mine");
		return true;
	}

	south(room, mobile, input) {
		return this.enter(room, mobile, input);
	}

	north(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "DirtRoad1", "leaves north");
		return true;
	}
};
