module.exports = class CoalMineTunnel1 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Coal Mine Tunnel";
		this.description = "A dark tunnel with rough-hewn walls. Splintering wooden beams keep the walls and ceiling from collapsing in on you. A bright light shines down the tunnel to the north.";
		this.filename = "coalmine/tunnel1.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExits = [];
		this.roomExpires = 0;
		this.resetDelay = 300000;
		this.roomExits = ["leave"];
		this.isMiningPoint = true;
		this.mineItems = ["Coal", "Stone"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "A slight gust sweeps through the shaft.");
		var itemsToMine = [
			{value:"Coal", probability: 60},
			{value:"Stone", probability: 30},
			{value:"RoughDiamond", probability: 10}
			];

		var classname = world.mud_rollRandom(itemsToMine);
		this.mineItems.push(classname);
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	leave(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "CoalMineEntrance", "leaves into the sunlight");
		return true;
	}

	north(room, mobile, input) {
		return this.leave(room, mobile, input);
	}
};
