module.exports = class DirtRoad1 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Dirt Road";
		this.description = "A well-worn dirt road leads to the city of Zebedee to the west, and a large mine to the south.";
		this.filename = "dirtroad1.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExpires = 0;
		this.resetDelay = 6000000;
		this.roomExits = ["south", "enter"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "A wagon bumps by, heading for the city.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	look(room, mobile, input) {
	}

	south(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "CoalMineEntrance", "leaves south");
		return true;
	}

	enter(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "ZebedeeEastGate", "enters through the gate");
		return true;
	}

	west(room, mobile, input) {
		return this.enter(room, mobile, input);
	}
};
