module.exports = class Mine1 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Placeholder Mining Tunnel";
		this.description = "A dark tunnel with rough-hewn walls. Splintering wooden beams keep the walls and ceiling from collapsing in on you. Barely.";
		this.filename = "mine1.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExits = [];
		this.roomExpires = 0;
		this.resetDelay = 300000;
		this.roomExits = ["enter"];
		this.isMiningPoint = true;
		this.mineItems = ["Coal", "Stone"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "A slight gust sweeps through the shaft.");
		var itemsToMine = [
			{value:"Coal", probability: 60},
			{value:"Stone", probability: 30},
			{value:"RoughDiamond", probability: 10}
			];

		var classname = world.mud_rollRandom(itemsToMine);
		this.mineItems.push(classname);
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	enter(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "ZebedeeWestGate", "enters the town");
		return true;
	}

	east(room, mobile, input) {
		return this.enter(room, mobile, input);
	}
};
