module.exports = class PhandalinLineneHouse {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Linene Greywind's House";
		this.description = "A cute cottage with rare goods. ";
		this.filename = "phandalin/linenehouse.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExpires = 0;
		this.resetDelay = 12000000;
		this.roomExits = ["leave"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "The house creaks.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	leave(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad2");
		return true;
	}
};
