module.exports = class PhandalinRoad1 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Phandalin Road";
		this.description = "A well worn dirt road leading to the town green to the north. The bustle of the town square is heard to the northeast.";
		this.filename = "phandalin/road01.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExpires = 0;
		this.resetDelay = 12000000;
		this.roomExits = ["north", "northeast", "south"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "One of the townsfolk smiles as she passes by.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	south(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad2", "leaves south");
		return true;
	}

	north(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinTownGreen", "leaves north");
		return true;
	}

	west(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinGrassField", "leaves west");
		return true;
	}

	northeast(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinTownSquare", "leaves northeast");
		return true;
	}
};
