module.exports = class PhandalinRoad2 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Phandalin Road";
		this.description = "A well worn dirt road leads north to south here. Off to the west is a large house with dark trim and tall windows.";
		this.filename = "phandalin/road02.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExits = [];
		this.roomExpires = 0;
		this.resetDelay = 12000000;
		this.roomExits = ["north", "south", "enter"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "One of the townsfolk smiles as she passes by.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}
	
	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	north(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad1", "leaves north");
		return true;
	}

	south(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad3", "leaves south");
		return true;
	}

	enter(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinLineneHouse", "enters the house", "enters");
		return true;
	}

	west(room, mobile, input) {
		return this.enter(room, mobile, input);
	}
};
