module.exports = class PhandalinRoad4 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Phandalin Road";
		this.description = "A well worn dirt road.";
		this.filename = "phandalin/road04.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExits = [];
		this.roomExpires = 0;
		this.resetDelay = 12000000;
		this.roomExits = ["northeast", "northwest", "enter", "southeast", "southwest"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "One of the townsfolk smiles as she passes by.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	northwest(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad3", "leaves northwest");
		return true;
	}

	northeast(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad5", "leaves northeast");
		return true;
	}

	enter(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinWoodworkerHouse", "enters the house", "enters");
		return true;
	}

	east(room, mobile, input) {
		return this.enter(room, mobile, input);
	}

	southeast(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinWoodworkerYard", "leaves southeast");
		return true;
	}

	//southwest(room, mobile, input) {
	//	world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad37");
	//	return true;
	//}
};
