module.exports = class Void1 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Void";
		this.description = "A dark mist-filled void. This is where items that are lost end up.";
		this.filename = "void1.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExpires = 0;
		this.resetDelay = 12000000;
		this.roomExits = ["east"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "The mists swirl.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	east(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "Void2", "drifts east");
		return true;
	};
};
