module.exports = class Void2 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Void";
		this.description = "A dark mist-filled void. You can see things become more solid in the distance, but the void continues to the west.";
		this.filename = "void2.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExpires = 0;
		this.resetDelay = 12000000;
		this.roomExits = ["north", "south", "west"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "The mists swirl.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	west(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "Void1", "drifts west");
		return true;
	}

	north(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "LibraryEntrance", "drifts north");
		return true;
	}

	south(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "Mine1", "drifts south");
		return true;
	}
};
