module.exports = class ZebedeeCormallenRoad1 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Cormallen Road West";
		this.description = "The wide main road stretches straight through the town, but the massive temple to the north draws your attention. Seven spires stretch towards the heavens, glinting in the sunlight. The temple is made of pure white marble blocks, and covered in ornate carvings of various birds. The windows are tall and narrow, and each has a stylized dove somewhere on it's ledge.";
		this.filename = "zebedee/cormallenroad1.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExpires = 0;
		this.resetDelay = 6000000;
		this.roomExits = ["east", "west", "north"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "The street bustles with foot traffic.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	north(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "ZebedeeTemple", "reverently enters the temple");
		return true;
	}

	east(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "ZebedeeCormallenRoad2", "leaves east");
		return true;
	}

	west(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "ZebedeeCormallenRoad3", "leaves west");
		return true;
	}
};
