module.exports = class ZebedeeCormallenRoad2 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Cormallen Road East";
		this.description = "The wide cobbled road continues to the east and west. A huge white and golden-spired building is off to the northwest and a tall, rustic building to the southeast bustles with activity. The wide, low building to the south has a large {hint}sign{/hint} above it along with the image of a stack of books.";
		this.filename = "zebedee/cormallenroad2.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExpires = 0;
		this.resetDelay = 6000000;
		this.roomExits = ["east", "west", "south"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "The street bustles with foot traffic.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	east(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "ZebedeeCormallenRoad4", "leaves east");
		return true;
	}

	west(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "ZebedeeCormallenRoad1", "leaves west");
		return true;
	}

	south(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "LibraryEntrance", "enters the library");
		return true;
	}
};
