module.exports = class ZebedeeCormallenRoad3 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Cormallen Road West";
		this.description = "The wide cobbled road continues to the east and west. A huge white and golden-spired building is off to the northeast and an arched stone gate in the wall to the west.";
		this.filename = "zebedee/cormallenroad3.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExpires = 0;
		this.resetDelay = 6000000;
		this.roomExits = ["east", "west"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "The street bustles with foot traffic.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	east(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "ZebedeeCormallenRoad1", "leaves east");
		return true;
	}

	west(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "ZebedeeWestGate", "leaves west");
		return true;
	}
};
