module.exports = class ZebedeeCormallenRoad4 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Cormallen Road East";
		this.description = "The wide cobbled road continues to the east and west. To your south a large wooden building has an almost endless stream of scruffy adventurer-types entering and exiting. There is a {hint}placard{/hint} above the entryway. A smaller shop to the north has some advertisements for the price of goods bought or sold, as well as a 'help wanted' {hint}sign{/hint}.";
		this.filename = "zebedee/cormallenroad4.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExpires = 0;
		this.resetDelay = 6000000;
		this.roomExits = ["north", "south", "east", "west"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "The street bustles with foot traffic.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	look(room, mobile, input) {
		switch(input[0]) {
			case "sign":
				libs.Output.toMobile(mobile.id, "A small red-lettered sign is pressed against a dusty window corner. 'Help Wanted' implies that this shop might be {hint}hiring{/hint} for someone to help them.");
				return true;
			case "placard":
				libs.Output.toMobile(mobile.id, "\t\t+--------------------------------+\r\n\t\t| The Zebedee Adventurer's Guild |\r\n\t\t+--------------------------------+");
				return true;
		}
	}

	east(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "ZebedeeCormallenRoad5", "leaves east");
		return true;
	}

	west(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "ZebedeeCormallenRoad2", "leaves west");
		return true;
	}

	north(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "ZebedeeShop", "enters the shop");
		return true;
	}

	south(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "ZebedeeAdventurerGuild", "pushes past the crowds and into the guild");
		return true;
	}
};
