module.exports = class ZebedeeEastGate {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Zebedee East Gate";
		this.description = "A tall arched gate made out of smooth gray stone blocks guards the exit to the village.";
		this.filename = "zebedee/eastgate.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExpires = 0;
		this.resetDelay = 6000000;
		this.roomExits = ["leave", "west"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "The street bustles with foot traffic.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	west(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "ZebedeeCormallenRoad6", "leaves west");
		return true;
	}

	leave(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "DirtRoad1", "leaves through the gate");
		return true;
	}

	east(room, mobile, input) {
		return this.leave(room, mobile, input);
	}
};
