module.exports = class ZebedeeTemple {
	constructor() {
		this.id = this.constructor.name;
		this.name = "The Temple";
		this.description = "A huge vaulted ceiling hangs over the marble floors and ancient wooden benches. A massive stone altar towards the back of the temple sits below a large gilded statue of a dove, suspended in the air.";
		this.filename = "zebedee/temple.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExpires = 0;
		this.resetDelay = 6000000;
		this.roomExits = ["south"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "A patron whispers a silent prayer.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	south(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "ZebedeeCormallenRoad1", "leaves south");
		return true;
	}
};
